# This file created by conda-build 3.21.6
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Tue Nov  9 18:06:27 2021
# ------------------------------------------------

package:
  name: stir
  version: 4.1.1
source:
  fn: STIR-rel_4.1.1.tar.gz
  patches:
    - 0001-skip-KOSMAPOSL-test-for-conda.patch
  sha256: 32cb9494256f6ca50a95a7572a0420601651b7c3d4cd64ce4d6f7fbbb1ae24f8
  url: https://github.com/UCL/STIR/archive/rel_4.1.1.tar.gz
build:
  number: '3'
  string: py38ha410e25_3
requirements:
  build:
    - cmake 3.21.3 h39d44d4_0
    - ninja 1.10.2 h2d74725_1
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_5
    - vs2015_runtime 14.29.30037 h902a5da_5
    - vs2017_win-64 19.16.27038 h2e3bad8_2
    - vswhere 2.8.4 h57928b3_0
  host:
    - boost-cpp 1.74.0 h5b4e17d_5
    - bzip2 1.0.8 h8ffe710_4
    - ca-certificates 2021.10.8 h5b45459_0
    - eigen 3.4.0 h2d74725_0
    - fftw 3.3.10 nompi_hb424310_101
    - intel-openmp 2021.4.0 h57928b3_3556
    - jbig 2.1 h8d14728_2003
    - jpeg 9d h8ffe710_0
    - lerc 3.0 h0e60522_0
    - libblas 3.9.0 12_win64_mkl
    - libcblas 3.9.0 12_win64_mkl
    - libdeflate 1.8 h8ffe710_0
    - libitk 5.1.2 h1150926_1
    - libitk-devel 5.1.2 h0e60522_1
    - liblapack 3.9.0 12_win64_mkl
    - libpng 1.6.37 h1d00b33_2
    - libtiff 4.3.0 hd413186_2
    - libzlib 1.2.11 h8ffe710_1013
    - lz4-c 1.9.3 h8ffe710_1
    - mkl 2021.4.0 h0e2418a_729
    - numpy 1.18.5 py38h72c728b_0
    - openssl 3.0.0 h8ffe710_2
    - python 3.8.12 h900ac77_2_cpython
    - python_abi 3.8 2_cp38
    - sqlite 3.36.0 h8ffe710_2
    - swig 4.0.2 h57928b3_2
    - tbb 2021.4.0 h2d74725_1
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_5
    - vs2015_runtime 14.29.30037 h902a5da_5
    - xz 5.2.5 h62dcd97_1
    - zlib 1.2.11 h8ffe710_1013
    - zstd 1.5.0 h6255e5f_0
  run:
    - libitk >=5.1,<5.2.0a0
    - numpy >=1.18.5,<2.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012
test:
  commands:
    - cd recon_test_pack
    - run_tests
    - cd SPECT
    - cd ..
    - cd ..
    - pytest src/swig/test/python
  imports:
    - stir
  requires:
    - pytest
  source_files:
    - examples
    - recon_test_pack
    - src/swig/test/python
about:
  description: 'STIR is Open Source software for use in tomographic imaging.

    Its aim is to provide a Multi-Platform Object-Oriented framework for all data
    manipulations in tomographic imaging.

    '
  dev_url: https://github.com/UCL/STIR
  doc_url: http://stir.sourceforge.net/documentation
  home: http://stir.sourceforge.net/
  license: Apache-2.0 AND License-ref-PARAPET-license
  license_file: LICENSE.txt
  summary: Software for Tomographic Image Reconstruction
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - KrisThielemans
    - casperdcl
    - olivierverdier
    - paskino
